Bug 845802 - python prepends UTF-8 BOM syslog messages - causes messages to be treated a EMERG level
Summary: python prepends UTF-8 BOM syslog messages - causes messages to be treated a E...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: python
Version: 6.3
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Matej Stuchlik
QA Contact: Jan Kepler
URL:
Whiteboard:
: 970133 (view as bug list)
Depends On: 864998
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-05 06:54 UTC by Jonathon Anderson
Modified: 2018-12-03 17:43 UTC (History)
19 users (show)

Fixed In Version: python-2.6.6-47.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 864998 (view as bug list)
Environment:
Last Closed: 2013-11-21 09:13:38 UTC
Target Upstream Version:


Attachments (Terms of Use)
SysLogHandler no longer inserts a UTF-8 BOM into the message (460 bytes, patch)
2013-06-17 08:53 UTC, Matej Stuchlik
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1582 normal SHIPPED_LIVE Moderate: python security, bug fix, and enhancement update 2013-11-20 21:39:43 UTC
Python 14452 None None None Never

Description Jonathon Anderson 2012-08-05 06:54:39 UTC
Description of problem:

We have fail2ban configured with loglevel = 3, logtarget = SYSLOG; but fail2ban is logging to syslog with kern.emerg priority.

kern.emerg<0>: Aug  1 18:08:44 gate1 ?<28>fail2ban.actions: WARNING [ssh-iptables] Unban 10.228.1.11

Effectively, this means that such messages are logged to all user consoles, due to the default rsyslog config on RHEL6.

*.emerg  *


Version-Release number of selected component (if applicable):

RHEL6.3, fail2ban-0.8.4-28.el6.noarch

How reproducible:

Always.

Steps to Reproduce:
1. Install fail2ban and configure for ssh banning
2. Invoke a ban (or wait for an unban)
  
Actual results:

Message is logged to syslog as an emergency.

Expected results:

Message is logged as info (loglevel 3).

Comment 1 Michael Chapman 2012-08-15 04:29:23 UTC
This appears to have been fixed in fail2ban 0.8.7:

https://github.com/fail2ban/fail2ban/issues/32

Comment 2 Jonathon Anderson 2012-08-28 08:33:06 UTC
> This appears to have been fixed in fail2ban 0.8.7 

It looks like the latest in EPEL is 0.8.4(-28).  What needs to happen to get this fix backported, or get fail2ban upgraded?

Comment 3 Adam Miller 2012-10-05 15:29:06 UTC
I don't maintain this package for "Fedora proper", only EPEL and I would like not to have EPEL be ahead of Fedora, please file a request for the Fedora package to be updated and I will happily follow suit.

Comment 4 Matthew Miller 2012-10-10 15:17:07 UTC
> I don't maintain this package for "Fedora proper", only EPEL and I would
> like not to have EPEL be ahead of Fedora, please file a request for the
> Fedora package to be updated and I will happily follow suit.

Done: bug# 864998

Comment 5 Orion Poplawski 2012-12-07 18:14:38 UTC
This is actually a python bug that was fixed in python 2.7+.  Fix commit which works for python 2.6 is http://hg.python.org/cpython/rev/af46a001d5ec

Comment 9 Matej Stuchlik 2013-06-17 08:53:59 UTC
Created attachment 761960 [details]
SysLogHandler no longer inserts a UTF-8 BOM into the message

Comment 15 Sergey Gotliv 2013-06-30 13:51:35 UTC
*** Bug 970133 has been marked as a duplicate of this bug. ***

Comment 18 James Juran 2013-10-08 18:12:03 UTC
Is there an ETA on when an update containing this fix will be released?

Comment 19 Bohuslav "Slavek" Kabrda 2013-10-14 09:04:42 UTC
(In reply to James Juran from comment #18)
> Is there an ETA on when an update containing this fix will be released?

Hello James,
bugfix for this issue will be part of next RHEL 6 minor release.

Comment 20 errata-xmlrpc 2013-11-21 09:13:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1582.html


Note You need to log in before you can comment on or make changes to this bug.